.de Vb \" Begin verbatim text
.ft CW
.nf
.ne \\$1
..
.de Ve \" End verbatim text
.ft R
.fi
..

.TH teensy_loader_cli 1 "DECEMBER 2017" Linux "User Manuals"

.SH NAME
teensy_loader_cli \- load and run programs onto your Teensy micro controller

.SH SYNOPSIS
.B teensy_loader_cli
.RB \-\-mcu
.IR MCU
.RB [\|\-w\|]
.RB [\|\-r\|]
.RB [\|\-s\|]
.RB [\|\-n\|]
.RB [\|\-b\|]
.RB [\|\-v\|]
.RB [\|\-h\|]
.IR file.hex

.SH DESCRIPTION
The teensy loader cli is a command-line alternative to the graphical teensy
loader which is included with Teensyduino. The cli version is preferred by
advanced users who want to automate programming, typically from within a
Makefile or similar.

.SH OPTIONS
.TP
.B \-\-mcu
Specify which connected Teensy controller to work with (e.g. TEENSY36). To list
supported MCUs, use:

.Vb 6
\&	teensy_loader_cli --list-mcus
.Ve

.TP
.B \-w
Wait for device to appear

.TP
.B \-r
Use hard reboot if device not online.

This option requires another Teensy to be connected, running the rebootor
firmware.

.TP
.B \-s
Use soft reboot if device not online (Teensy 3.x only)

.TP
.B \-n
No reboot after programming

.TP
.B \-b
Boot only, do not program

.TP
.B \-v
Verbose output

.SH SEE ALSO

http://www.pjrc.com/teensy/loader_cli.html

.SH AUTHOR

teensy_loader_cli was developed by Paul Stoffregen <paul@pjrc.com>

This manual page was written for the Debian project by
Michael Stapelberg <stapelberg@debian.org> (but may be used by others).
